Sketcher SketchObject

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Sketcher SketchObject and the translation is 88% complete.

Outdated translations are marked like this.
Other languages:
English • ‎français • ‎italiano

Introduzione

Sketcher Sketch.svg

Un Sketcher SketchObject, o formalmente un Sketcher::SketchObject, è l'elemento base per creare oggetti 2D con l'ambiente Sketcher.

Sketcher::SketchObject deriva da Part Part2DObject, il che significa che è un oggetto Part Feature specializzato per la geometria 2D. Come Part2DObject, anche SketchObject può essere collegato a piani e facce. Inoltre, SketchObject è in grado di gestire i vincoli geometrici delle linee e delle curve disegnate al suo interno.

FreeCAD core objects.svg

Diagramma semplificato delle relazioni tra gli oggetti principali in FreeCAD. La classe Sketcher::SketchObject è specializzata per le forme 2D e inoltre può gestire i vincoli.

Utilizzo

  1. Passare all'ambiente Sketcher.
  2. Premere Sketcher NewSketch.svg Nuovo schizzo.
  3. Selezionare un orientamento: piano XY, piano XZ o piano YZ. Opzionalmente scegliere anche Direzione inversa, e assegnare un valore di Offset.
  4. Premere OK.

Sebbene SketchObject possa essere utilizzato da solo per disegnare su un piano, viene comunemente utilizzato insieme a PartDesign per creare solidi estrusi.

  1. Passare in PartDesign.
  2. Premere PartDesign Body.svg Crea un corpo.
  3. Premere PartDesign NewSketch.svg Crea uno schizzo.
  4. Selezione della funzione: piano XY (piano base), piano XZ (piano base) o piano YZ (piano base).
  5. Premere OK.

Proprietà

Vedere Proprietà per tutti i tipi di proprietà che possono avere gli oggetti con script.

Un Sketcher SketchObject (classe Sketcher::SketchObject) deriva da un Part Part2DObject (Part::Part2DObject), quindi condivide tutte le proprietà di quest'ultimo.

Oltre alle proprietà descritte in Part Part2DObject, il corpo di PartDesign ha le seguenti proprietà nell'editor delle proprietà.

Dati

Attachment

  • DataMap Mode: vedere Part Attachment per ulteriori informazioni su tutte le modalità di associazione.

Sketch

  • DataConstraints: vincoli atribuiti, se esistono; altrimenti è un elenco [] vuoto.

Vista

Auto Constraints

  • ViewAutoconstraints: se è True prova ad impostare i vincoli quando viene disegnata la geometria.

Visibility automation

  • ViewEditing Workbench: normalmente SketcherWorkbench, è il nome dell'ambiente da attivare durante la modifica dello schizzo.
  • ViewHide Dependent: se è True tutti gli oggetti che dipendono dallo schizzo vengono nascosti quando si apre lo schizzo.
  • ViewRestore Camera: se è True la posizione della telecamera viene salvata prima di aprire lo schizzo e viene ripristinata quando lo si chiude.
  • ViewShow Links: se è True tutti gli oggetti utilizzati nei collegamenti alla geometria esterna vengono visualizzati quando si apre lo schizzo.
  • ViewShow Support: se è True tutti gli oggetti a cui è associato questo schizzo vengono mostrati quando si apre lo schizzo.

Script

Vedere anche: Script di base per FreeCAD, e script di oggetti.

Vedere Part Feature per le informazioni generali.

Un oggetto Sketcher SketchObject viene creato con il metodo addObject() del documento.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Sketch")
obj.Label = "Custom label"